<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net" />
  </configSections>
  <log4net>
    <!--错误日志配置-->
    <appender name="ErrorAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogError\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="MaxFileSize" value="10240" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%m" />
      </layout>
    </appender>
    <!--信息日志配置-->
    <appender name="InfoAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogInfo\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxFileSize" value="10240" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%m" />
      </layout>
    </appender>
    <!--性能日志配置-->
    <appender name="MonitorAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogMonitor\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxFileSize" value="10240" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%m" />
      </layout>
    </appender>
    <!--访问日志配置-->
    <appender name="HtmlAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogHtml\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxFileSize" value="10240" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%m" />
      </layout>
    </appender>
    <!--访问日志配置-->
    <appender name="LongTimeUseAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogLongTimeUse\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxFileSize" value="10240" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%m" />
      </layout>
    </appender>
    <!--短信日志配置-->
    <appender name="RecordSendAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="Logs\\LogRecordSend\\" />
      <param name="AppendToFile" value="true" />
      <param name="MaxFileSize" value="10240" />
      <param name="MaxSizeRollBackups" value="100" />
      <param name="StaticLogFileName" value="false" />
      <param name="DatePattern" value="yyyy-MM\\yyyy-MM-dd.TXT" />
      <param name="RollingStyle" value="Date" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%n日记时间：%d [%t] %n日记级别：%-5p %n日记来源：%l %n日记对象：%c [%r毫秒][%x] %n日记消息：%n%m %n " />
      </layout>
    </appender>

    <!--Error日志-->
    <logger name="LogError">
      <level value="ERROR" />
      <appender-ref ref="ErrorAppender" />
    </logger>
    <!--Info日志-->
    <logger name="LogInfo">
      <level value="INFO" />
      <appender-ref ref="InfoAppender" />
    </logger>
    <!--监控日志-->
    <logger name="LogMonitor">
      <level value="Monitor" />
      <appender-ref ref="MonitorAppender" />
    </logger>
    <!--访问日志-->
    <logger name="LogHtml">
      <level value="INFO" />
      <appender-ref ref="HtmlAppender" />
    </logger>
    <!--高耗时日志-->
    <logger name="LogLongTimeUse">
      <level value="INFO" />
      <appender-ref ref="LongTimeUseAppender" />
    </logger>
    <!--RecordSend日志-->
    <logger name="LogRecordSend">
      <level value="INFO" />
      <appender-ref ref="RecordSendAppender" />
    </logger>
  </log4net>
</configuration>